### Class

# Gtk GridLayoutChild

#### Description [src]

    final class Gtk.GridLayoutChild : Gtk.LayoutChild {
      /* No available fields */
    }

`GtkLayoutChild` subclass for children in a `GtkGridLayout`.

#### Hierarchy

#### Ancestors

- GtkLayoutChild
- GObject

#### Instance methods

###### gtk_grid_layout_child_get_column

Retrieves the column number to which `child` attaches its left side.

###### gtk_grid_layout_child_get_column_span

Retrieves the number of columns that `child` spans to.

###### gtk_grid_layout_child_get_row

Retrieves the row number to which `child` attaches its top side.

###### gtk_grid_layout_child_get_row_span

Retrieves the number of rows that `child` spans to.

###### gtk_grid_layout_child_set_column

Sets the column number to attach the left side of `child`.

###### gtk_grid_layout_child_set_column_span

Sets the number of columns `child` spans to.

###### gtk_grid_layout_child_set_row

Sets the row to place `child` in.

###### gtk_grid_layout_child_set_row_span

Sets the number of rows `child` spans to.

##### Methods inherited from GtkLayoutChild (2)

###### gtk_layout_child_get_child_widget

Retrieves the `GtkWidget` associated to the given `layout_child`.

###### gtk_layout_child_get_layout_manager

Retrieves the `GtkLayoutManager` instance that created the given `layout_child`.

#### Properties

###### Gtk.GridLayoutChild:column

The column to place the child in.

###### Gtk.GridLayoutChild:column-span

The number of columns the child spans to.

###### Gtk.GridLayoutChild:row

The row to place the child in.

###### Gtk.GridLayoutChild:row-span

The number of rows the child spans to.

##### Properties inherited from GtkLayoutChild (2)

###### Gtk.LayoutChild:child-widget

The widget that is associated to the `GtkLayoutChild` instance.

###### Gtk.LayoutChild:layout-manager

The layout manager that created the `GtkLayoutChild` instance.

#### Class structure

    struct GtkGridLayoutChildClass {
      GtkLayoutChildClass parent_class;

    }

###### Class members

`parent_class` |
    GtkLayoutChildClass
| No description available.